 #!/bin/bash
basepath=$(cd `dirname $0`; pwd)
cd ../../
tomcatPath=$(cd `dirname $0`; pwd)

# tomcat 环境相关
export CATALINA_HOME=${tomcatPath}
domain=${basepath##*/}
export CATALINA_BASE=domains/${basepath##*/}
echo CATALINA_HOME=$CATALINA_HOME
echo CATALINA_BASE=domains/$CATALINA_BASE

# jdk 环境相关
export  JAVA_HOME=#{JAVA_HOME}
export CLASS_PATH=${JAVA_HOME}/lib
export JRE_HOME=${JAVA_HOME}
echo JAVA_HOME=${JAVA_HOME}
echo CLASS_PATH=${CLASS_PATH}
echo JRE_HOME=${JRE_HOME}

serverXmlPath=$basepath/conf/server.xml
serverPropertiesPath=$CATALINA_HOME/domain.properties

echo $serverXmlPath
echo $serverPropertiesPath

TOMCAT_ID=`ps aux |grep "java"|grep "Dcatalina.base=$CATALINA_BASE "|grep -v "grep"|awk '{ print $2}'`

if [ -n "$TOMCAT_ID" ] ; then
echo "tomcat(${TOMCAT_ITOMCAT_ID}) still running now , please shutdown it firest";
    exit 2;
fi

java -jar $CATALINA_HOME/lib/tomcatins.jar "$domain" "$serverXmlPath" "$serverPropertiesPath"

TOMCAT_START_LOG=`$CATALINA_HOME/bin/startup.sh`

echo TOMCAT_START_LOG=$TOMCAT_START_LOG

if [ "$?" = "0" ]; then
    echo "$0 ${1%/} start succeed"
else
    echo "$0 ${1%/} start failed"
    echo $TOMCAT_START_LOG
fi
